Version 7 -- Convince me to upgrade from version 6

Questions and postings pertaining to the development of ImageMagick, feature enhancements, and ImageMagick internals. ImageMagick source code and algorithms are discussed here. Usage questions which are too arcane for the normal user list should also be posted here.
Post Reply
mooninite
Posts: 2
Joined: 2017-09-02T08:11:30-07:00
Authentication code: 1151

Version 7 -- Convince me to upgrade from version 6

Post by mooninite » 2017-09-02T08:16:58-07:00

Hi,

The Linux distribution Fedora has made an upgrade to ImageMagick version 7. In this process we uncovered a few things.
  • Most software will not compile without patching the build scripts
  • Some software requires porting on top of patching the build scripts
  • Most upstreams don't care about version 7
These issues have caused us (those at work building Fedora) to question if we even need version 7 at all because version 6 is still being maintained. We are considering removing version 7 and continuing to ship only version 6.

Should Fedora ship version 7? If so, why?

Bonzo
Posts: 2850
Joined: 2006-05-20T08:08:19-07:00
Location: Cambridge, England

Re: Version 7 -- Convince me to upgrade from version 6

Post by Bonzo » 2017-09-02T08:52:41-07:00

That's interesting as the centos distribution on the server I use are still using a partially patched version of 6.7 :(

I think this is a list of the changes: https://www.imagemagick.org/script/porting.php

My uneducated thoughts:

A few reasons not to change: the alpha settings have changed; the order of the command is stricter and the convert is now magick and any of these can break users code.

I suppose at some point V6 will not be supported and you will have to update to V7 then anyway.

Can you not include both versions and the user can chose and hopefully they will start moving to V7?

User avatar
magick
Site Admin
Posts: 10690
Joined: 2003-05-31T11:32:55-07:00

Re: Version 7 -- Convince me to upgrade from version 6

Post by magick » 2017-09-02T10:25:28-07:00

We recommend you stay with ImageMagick version 6 for legacy support for a few more years. This will give legacy applications more time to upgrade to version 7. ImageMagick 6 will continue to be maintained for another 9+ years but consider that any new enhancements will be pushed to ImageMagick version 7. Instead we recommend you include a separate distribution for ImageMagick version 7. This is no different than Fedora supporting Python 2.7 and 3.6. Both ImageMagick version 6 & 7 should be able to co-exist, particularly since the ImageMagick 7 command-line utility is called magick which does not conflict with version 6 utilities, convert, composite, etc. We also add versions to the path so the install will include /etc/include/ImageMagick-6 and /etc/include/ImageMagick-7, for example, to make co-existing possible. If you only have time to fuss with one release, use ImageMagick 6.

mooninite
Posts: 2
Joined: 2017-09-02T08:11:30-07:00
Authentication code: 1151

Re: Version 7 -- Convince me to upgrade from version 6

Post by mooninite » 2017-09-03T07:06:17-07:00

Thanks for the reply.

Fedora will downgrade to version 6 and create a new package name, ImageMagick7, for version 7.

Post Reply